moved "nitrox" to TPTP
authorblanchet
Mon, 23 Jan 2012 17:40:31 +0100
changeset 46318 8038d050ff15
parent 46317 80dccedd6c14
child 46319 c248e4f1be74
moved "nitrox" to TPTP
etc/components
src/HOL/TPTP/etc/settings
src/HOL/TPTP/lib/Tools/nitrox
src/HOL/Tools/Nitpick/etc/settings
src/HOL/Tools/Nitpick/lib/Tools/nitrox
--- a/etc/components	Mon Jan 23 17:29:19 2012 +0100
+++ b/etc/components	Mon Jan 23 17:40:31 2012 +0100
@@ -13,10 +13,10 @@
 src/Tools/Code
 src/Tools/jEdit
 src/Tools/WWW_Find
+src/HOL/Mirabelle
+src/HOL/Mutabelle
+src/HOL/Library/Sum_of_Squares
 src/HOL/Tools/ATP
-src/HOL/Mirabelle
-src/HOL/Library/Sum_of_Squares
+src/HOL/Tools/Predicate_Compile
 src/HOL/Tools/SMT
-src/HOL/Tools/Predicate_Compile
-src/HOL/Tools/Nitpick
-src/HOL/Mutabelle
+src/HOL/TPTP
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/HOL/TPTP/etc/settings	Mon Jan 23 17:40:31 2012 +0100
@@ -0,0 +1,3 @@
+# -*- shell-script -*- :mode=shellscript:
+
+ISABELLE_TOOLS="$ISABELLE_TOOLS:$COMPONENT/lib/Tools"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/HOL/TPTP/lib/Tools/nitrox	Mon Jan 23 17:40:31 2012 +0100
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+#
+# Author: Jasmin Blanchette
+#
+# DESCRIPTION: TPTP FOF version of Nitpick
+
+
+PRG="$(basename "$0")"
+
+function usage() {
+  echo
+  echo "Usage: isabelle $PRG FILES"
+  echo
+  echo "  Runs Nitrox on a CNF or FOF TPTP problem."
+  echo
+  exit 1
+}
+
+[ "$#" -eq 0 -o "$1" = "-?" ] && usage
+
+SCRATCH="Scratch_${PRG}_$$_${RANDOM}"
+
+for FILE in "$@"
+do
+  echo "theory $SCRATCH imports \"Nitpick\" begin ML {* Nitrox.pick_nits_in_fof_file \"$FILE\" *} end;" \
+    > /tmp/$SCRATCH.thy
+  "$ISABELLE_PROCESS" -e "use_thy \"/tmp/$SCRATCH\"; exit 1;"
+done
--- a/src/HOL/Tools/Nitpick/etc/settings	Mon Jan 23 17:29:19 2012 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,3 +0,0 @@
-# -*- shell-script -*- :mode=shellscript:
-
-ISABELLE_TOOLS="$ISABELLE_TOOLS:$COMPONENT/lib/Tools"
--- a/src/HOL/Tools/Nitpick/lib/Tools/nitrox	Mon Jan 23 17:29:19 2012 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,28 +0,0 @@
-#!/usr/bin/env bash
-#
-# Author: Jasmin Blanchette
-#
-# DESCRIPTION: TPTP FOF version of Nitpick
-
-
-PRG="$(basename "$0")"
-
-function usage() {
-  echo
-  echo "Usage: isabelle $PRG FILES"
-  echo
-  echo "  Runs Nitrox on a FOF or CNF TPTP problem."
-  echo
-  exit 1
-}
-
-[ "$#" -eq 0 -o "$1" = "-?" ] && usage
-
-SCRATCH="Scratch_${PRG}_$$_${RANDOM}"
-
-for FILE in "$@"
-do
-  echo "theory $SCRATCH imports \"Nitpick\" begin ML {* Nitrox.pick_nits_in_fof_file \"$FILE\" *} end;" \
-    > /tmp/$SCRATCH.thy
-  "$ISABELLE_PROCESS" -e "use_thy \"/tmp/$SCRATCH\"; exit 1;"
-done